Skip to main content
`Ctrl`+`K`

# PetscFEGetSpatialDimension

Returns the spatial dimension of the element

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetSpatialDimension(PetscFE fem, PetscInt *dim)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- dim - The spatial dimension

## See Also

`PetscFE`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages